<?php

namespace App\Domain\Manga\Domain\Model\ValueObject;

readonly class ChapterId
{
    public function __construct(
        private string $value
    ) {
    }

    public function getValue(): string
    {
        return $this->value;
    }

    public function equals(self $other): bool
    {
        return $this->value === $other->value;
    }
}
